local LD = require("design.LevelDesignLibrary")
local player
function OnScriptLoaded(level, obj)
  player = game.Player.FindPlayer()
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
end
function OnStart(level, obj)
  GameObjects.BanterZone_Bridge_TempleDoor.LuaObjectScript.DisableConsoleError("030_EnteringMidgard12")
end
function Complete_Quest_PeaksPass_Objective741()
  LD.CompleteQuest("Quest_PeaksPass_Objective741")
end
function LeavingAirlock()
  return player:IsPlayingMove("MOV_DoorSpreadOpen")
end
function ShouldPlayMidgard3()
  return game.Level.GetVariable("CompletedCineNumber") == 263 and LeavingAirlock()
end
function ShouldPlayMidgard4()
  return game.Level.GetVariable("CompletedCineNumber") == 320 and LeavingAirlock()
end
function ShouldPlayMidgard12()
  return game.Level.GetVariable("CompletedCineNumber") == 512 and LeavingAirlock()
end
function CanPlaySindriOffCrit()
  return game.Level.GetVariable("_GBL_RealmTravel_JotunheimFailed") == true and game.Level.GetVariable("CAL_NAR_EyesOnThePrize") == false and game.Level.GetVariable("CompletedCineNumber") == 515
end
function CanPlayHornAgain()
  return game.Level.GetVariable("CAL_NAR_EyesOnThePrize") == true and game.Level.GetVariable("CompletedCineNumber") == 515
end
function CanPlayEnteringMidgard14()
  return game.Level.GetVariable("CAL_MimirEyeAcquired") == true and game.Level.GetVariable("CompletedCineNumber") == 570 and LeavingAirlock()
end
